Welcome

>> Asix.Evo 8 User's Manual

www.asix.com.pl

Asix.Evo - Timetables

Dok. Nr ENH8E016

Wersja: 2015-08-18


1 Timetables Module Features

The Timetables Module provides for advanced planning of operator action automatic execution. To some extent, in terms of its operation it is similar to the Schedules Module. Basic differences between these modules can be summarised as follows:

a) Timetables are better suited for precise determination of the time of action execution. Schedules are based on a permanent execution cycle.

b) Schedules enable to synchronise action execution with the occurrence of conditions other than time based (such as a predefined value of a process variable). Timetables do not offer this possibility - although action execution can be made dependant on whether a condition is fulfilled at a given time.

c) Timetables operation can be controlled by the operator in the application execution mode. The Schedules Module is configured in its entirety by the application developer.


1.1 Basic Concepts

It is necessary to be familiar with the following terms in order to understand the Timetables Module operating principles:

a) Timetable

The timetable is a basic concept. It can be described as a task which is due to be executed periodically. It consists of the definition and the execution cycles set. The timetable definition describes what operator actions are due to be executed (including their parameters). The principles of operation in network configurations are also specified within the definition.

b) Timetable Cycle

The timetable cycle specifies the time for execution of timetable operator actions. Any number of cycles can be assigned to each timetable. Cycles can be defined by the application user in the execution mode.

c) Days Category

Days categories are used to connect selected days in one set. Categories defined in this way can further be used in cycles definitions. There are predefined categories which cannot be modified by the user and also categories which are created by the application user.


1.2 Network Operation

The Timetables Module fully supports multi-station operation. In such configurations, editing timetables cycles is possible at any station. Any modifications introduced are visible immediately at all stations in the network. At a given time, the timetable is executed at a single station; when the station is switched off the timetable execution is automatically taken over by another station. The role of individual stations is defined independently for each timetable.


2 Timetables Parameterization

The defining panel of the Timetables Module opens via the Timetables node in the application explorer panel.


2.1 Module Operation Mode

zoom in >>

Fig. Defining panel of the Timetables Module.

Storage location for the module configuration and, consequently, the method of operation in multi-station configurations must be specified in the Timetables Settings tab. Storage in a local application file is recommended for simple one-station systems or when the timetables will be executed at one station only. In case of other configurations, storage in the central database should be selected (this data base must be previously created in the settings of the application security system). This option ensures almost instantaneous transfer of configuration modifications to all stations within the application.

The buttons Edit Days Categories and Edit Timetables Cycles open windows for predefining days and cycles categories of the timetables created. These windows are also accessible to the application users in the execution mode. They are described in detail in the chapter on the Timetables Module management.


2.2 Defining Timetable

The Timetables Definitions tab is used for defining timetables.

zoom in >>

Fig. Defining Panel of the Timetables Module - Timetables Definitions.

The list on the left hand side of the panel altogether with its toolbar is used to set up, delete and manage timetables. The Enabled column specifies whether a timetable is due to be executed in the application execution mode.

In the right hand part of the panel one can set the timetable parameters. The selection of a timetable type is of key importance. The Single Action type means that at the times specified by the timetable cycle a given operator action will be executed (defined in the Start Action field) and at this point the execution of this cycle will end. In case of the Start/End Actions type, at the times specified by the timetable cycle, a given operator action will be executed (defined in the Start Action field) and then, after the elapse of time specified in the cycle, a second, end operator action will be executed (defined in the End Action field).

In the Parameters Definitions section, optional timetable parameters are defined. This mechanism allows to create timetables whose operation can be controlled by the definitions of the execution cycles (this way, each cycle can execute timetable actions in a different way). In the timetable action content, the parameter value can be obtained with the use of the Parameter function, e.g. SetVariable(WTEMP, Parameter(Temperature).

In the timetable definition only one start action and one end action can be specified. If it necessary to execute a larger number of operations, multiple operator actions ActionSet or Actions should be used.

Basically, the timetable operation depends exclusively on time cycles. If it is necessary to introduce additional conditions, such additional tests should be included directly in operator actions. The following operator action can be used Perform, e.g. Perform(Variable(WSERVICE)==0, SetVariable(WCONTROL,0), Nothing())

Configuration of Station Roles

In the Stations section, one must specify the role that individual stations fulfil in the management of the timetable defined. The following settings of the start-up mode are possible:

a) None - a station will never be preoccupied with timetable execution. Yet, it can be used to define timetables cycles.

a) Local - a station is always preoccupied with timetable execution. This mode should be selected for one station only and no stations operating in the Central mode should then exist.

c) Central - a station can be preoccupied with timetable execution. The active station will be selected automatically out of the stations with the Central mode active.

The Central Priority parameter is used to specify the priorities for the selection of a station executing the timetable in a situation, where a number of stations can assume such role.


2.3 Predefined Days Categories

In each application, a few predefined days categories exist. The user cannot modify the definitions of these categories.

Some of the predefined categories, e.g. Working days are software created and cannot be modified in any way. Others are saved in the application definition folder in the TimetableCategorySets.csv file. This file is inserted in the applications definition folder while creating the application - the template file comes from the Prototypes subfolder in the installation directory.

The TimetableCategorySets.csv file is a text file in csv format. The application developer can modify its contents, in particular by adding (in a separate column) the developer-predefined category.


2.4 Opening Timetables Cycles Edit Window

In the application execution mode, the user can edit days categories and timetables cycles. Editing is possible at any station, however it is required that the logged in user holds access rights to Editing timetable cycles.

The EditTimetables operator action is used to open the categories/cycles edition window. In the action parameters it is possible to specify the ID tag of the timetable whose cycles will be defined. It is also possible to jointly edit the cycles for a group of timetables (by using special characters * i ? in the ID content).


3.1 Editing Timetables Cycles

Timetables cycles edit window is used to define the time cycles for execution the tasks specified in the timetable definition. Any number of time cycles can be assigned to each timetable. Effective operation of a timetable is the sum of all cycles assigned to the timetable.

zoom in >>

Fig. Timetables Cycles Editor Window.

The left hand side of the window is used for defining cycles. The right hand side section is used for visual presentation of the time moments of timetable actions execution.

In order to add a new cycle, press the Add button (or Clone button, if the new cycle is to be a copy of an existing cycle). As a result of the Add operation, a list of defined timetables will open, from which a timetable should be selected to which a cycle will be added.

zoom in >>

Fig. List of Defined Timetables Window.

After selection of a timetable with the Select button, a new cycle will be created and the cycle parameters window will open.

The cycle parameters window can also be opened by double clicking on the cycle line or by pressing the Edit cycle button.

In order to remove a highlighted cycle, use the Remove button. It is also possible to temporarily disable a cycle execution without removing it, by unchecking the option in the Active column.

The arrow buttons are only used to arrange the cycles in order. The displaying order does not influence the way a timetable is executed.

Below the cycle list there is an information bar which summarises how a selected cycle operates.

Cycle Parameters Window

The cycle parameters window consists of two sections. The upper section always looks the same, while the layout of the bottom section depends on the cycle type selected.

zoom in >>

Fig. Timetable Cycle Parameters Window - Once Cycle.

The upper section of the window consists of the following:

a) Section used to select the cycle type.

b) Parameters table - the names of all available timetable parameters are included in this table. In the Value column, the values of the parameters active for the cycle being defined should be introduced.

c) The Select color... button allowing to change the colour is used to display the time moments of cycle operation in a preview diagram.

In case of 'Once type' the only parameters available are:

a) Start - the time of single execution of a timetable action.

b) End - the time of single execution of a timetable end action (provided that such action is defined in the timetable).

Periodic type is the basic type of timetables execution. It allows to execute timetable actions periodically.

zoom in >>

Fig. Timetable Cycle Parameters Window - Periodic Cycle.

Periodic cycle is defined through:

a) Operating time

This section allows to limit the operating time of a cycle to the selected time range.

b) Period

This section specifies the times of timetable execution for a defined cycle (in particular, the times of start action execution defined for a timetable).

The period always includes days specified for execution and the exact time. If it is required to execute a timetable more than once a day, additional cycles should be defined.

Selection of the day can be carried out through: selection of the weekday, selection of a particular day of the month or selection of a days category.

c) Duration

Duration is used only for those timetables for which an end action is defined. It defines the time period after which the end action will be executed. This time is counted down starting from the times of cycle execution.

d) Exceptions

This section allows to define the days for which the cycle will not be executed. ID for days categories must be specified. For example, this mechanism enables to declare a cycle of the following type: every day at a given time, but except for holidays.

'From file' operating mode enables timetable execution based on an external file specifying the times of timetable actions execution. In particular, such file can be created by another system generating commands for Asix application.

zoom in >>

Fig. Timetable Cycle Parameters Window - 'From File' Cycle.

In the File field, provide the path and name of the file including the times of timetable execution. In case of multi-station operation, the file should be stored in a location accessible by all the stations which can assume control over timetable execution (usually on a network resource).

The Edit button allows to proceed to manual editing of the file content. The Create new text file button is used to create a template file including cycles for the timetable used.

The cycles file is a text file in csv format. The first line includes column headings, while in the other lines cycle definitions are inserted.

The content of an exemplary file is shown below.

StartTime, EndTime, Temperature

2013.01.01 12:00:00, 2013.01.01 14:00:00, 20

2013.01.15 14:30:00, 2013.01.01 16:30:00, 25

The timetable execution system detects changes introduced in cycles files. After uploading a new file version no administrative actions are required - the new file will be activated automatically.


3.2 Editing Days Categories

The Days Categories Editor window is used to define new days categories and change the days set included in the days categories. The window opens by pressing the Edit Days Categories button located in the timetable cycles edit window. The window does not allow to change any predefined categories.

zoom in >>

Fig. Days Categories Editor Window.

The left hand side section of the window is used for categories management: creating and removing of categories. The right hand side section is used to define the set of days included in the selected category.

Two modes for the selection of days are available. In the Calendar mode, click on the date to be included in (or removed from) a category. The days included in the category are displayed in bold.

zoom in >>

Fig. Days Categories Editor Window - Table.

In the Table mode a list of the days included in the category is displayed. The buttons below the table are used to add or remove days. It is also possible to change a selected date - to this end, double click on the field to be changed.

The Fill... button allows to add one-time a group of days to a category.

Fig. Add Group of Days to Category Window.

In the Set of Dates field, the ID of one of the previously created categories should be selected. In the From and To fields, appropriate limit dates should be introduced. After pressing the Ok button, all days meeting provided criteria will be added to the category.